{
	"name": "kk",
	"private": true,
	"workspaces": {
		"packages": [
			"apps/*",
			"packages/*"
		],
		"catalog": {
			"dotenv": "^17.2.2",
			"zod": "^4.1.13",
			"typescript": "^5",
			"@types/node": "^22.13.14",
			"@libsql/client": "0.15.15",
			"libsql": "0.5.22",
			"@orpc/server": "^1.12.2",
			"@orpc/client": "^1.12.2",
			"@orpc/openapi": "^1.12.2",
			"@orpc/zod": "^1.12.2",
			"better-auth": "^1.4.18",
			"alchemy": "^0.82.1"
		}
	},
	"type": "module",
	"scripts": {
		"dev": "turbo dev",
		"build": "turbo build",
		"check-types": "turbo check-types",
		"dev:native": "turbo -F native dev",
		"dev:web": "turbo -F web dev",
		"db:push": "turbo -F @kk/db db:push",
		"db:studio": "turbo -F @kk/db db:studio",
		"db:generate": "turbo -F @kk/db db:generate",
		"db:migrate": "turbo -F @kk/db db:migrate",
		"db:local": "turbo -F @kk/db db:local",
		"deploy": "turbo -F @kk/infra deploy",
		"destroy": "turbo -F @kk/infra destroy",
		"check": "biome check --write ."
	},
	"dependencies": {
		"@kk/env": "workspace:*",
		"dotenv": "catalog:",
		"zod": "catalog:"
	},
	"devDependencies": {
		"@biomejs/biome": "^2.2.0",
		"@cloudflare/workers-types": "^4.20251213.0",
		"@kk/config": "workspace:*",
		"@types/node": "catalog:",
		"turbo": "^2.6.3",
		"typescript": "catalog:"
	},
	"packageManager": "bun@1.3.8"
}
